<?php
/**
 * pagination options
 *
 * @package Theme Palace
 * @subpackage  Charity Give
 * @since  Charity Give 1.0.0
 */

// Add sidebar section
$wp_customize->add_section( 'charity_give_pagination',
	array(
		'title'               	=> esc_html__('Pagination','charity-give'),
		'description'         	=> esc_html__( 'Pagination section options.', 'charity-give' ),
		'panel'               	=> 'charity_give_theme_options_panel',
	)
);

// Sidebar position setting and control.
$wp_customize->add_setting( 'charity_give_theme_options[pagination_enable]',
	array(
		'sanitize_callback' 	=> 'charity_give_sanitize_switch_control',
		'default'             	=> $options['pagination_enable'],
	)
);

$wp_customize->add_control( new  charity_give_Switch_Control( $wp_customize,
	'charity_give_theme_options[pagination_enable]',
		array(
			'label'               	=> esc_html__( 'Pagination Enable', 'charity-give' ),
			'section'             	=> 'charity_give_pagination',
			'on_off_label' 			=> charity_give_switch_options(),
		)
	)
);

// Site layout setting and control.
$wp_customize->add_setting( 'charity_give_theme_options[pagination_type]',
	array(
		'sanitize_callback'   	=> 'charity_give_sanitize_select',
		'default'             	=> $options['pagination_type'],
	)
);

$wp_customize->add_control( 'charity_give_theme_options[pagination_type]',
	array(
		'label'               	=> esc_html__( 'Pagination Type', 'charity-give' ),
		'section'             	=> 'charity_give_pagination',
		'type'                	=> 'select',
		'choices'			  	=> charity_give_pagination_options(),
		'active_callback'	  	=> 'charity_give_is_pagination_enable',
	)
);
